﻿/*
	CSS-kod till RWD
*/

* { 
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    box-sizing: border-box;
}

header {
    background-color:black;
    color:white;
    text-align:center;
    padding:5px;
    width: 100%;	 
}

nav {
    width: 100%;
    height: fit-content;
    background-color: #555;
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    
}

nav li a {
    display: block;
    color: white;
    padding: 15px;
    margin-top: 2px;
    text-decoration: none;
    text-align: center;
    background-color: #4e1010;

}

nav li a:hover {
    background-color: #972020;
    color: white;
}

section {
    padding:10px;
    width: 100%;	 	 
}

aside {
	background-color:#cccccc;
	padding:5px;
    width: 100%;
    height: fit-content;
}

footer {
    background-color:black;
    color:white;
    text-align:center;
    padding:5px;	
    width: 100%;
}

img {
    width: 550px;
    max-width: 100%;
}

iframe {
    max-width: 100%;
}

#flex {
    display: flex;
    flex-wrap: wrap;
    min-height: 100vh;
}

#footer { 
    margin-top: auto;
}

@media only screen and (min-width: 768px) {
    nav {
        width: 25%;
    }
    section{
        width: 75%;
    }
    aside {
        width: 100%;
    }
}

@media only screen and (min-width: 992px) {
    nav {
        width: 25%;
    }
    section{
        width: 58%;
    }
    aside {
        width: 17%;
    }
}

@media only screen and (min-width: 1200px) {
    nav {
        width: 100%;
    }
    section{
        width: 83%;
    }
    aside {
        width: 17%;
    }

    nav ul {
        display: flex;
    }
    
    nav ul a {
        margin-top: 0;
        margin-right: 5px;
    }
}
